﻿using AddinExamplesGeneral;
using System.ComponentModel.Composition;
using System.Threading.Tasks;
using Toolbox.Declarations;
using Toolbox.Docking.Client.Interfaces;
using Toolbox.Docking.Client.Plugins;
using Toolbox.Docking.Client.Services;

namespace LMC.Toolbox.DummyCalcClientViews
{

    [Export(AddinExamplesConsts.ProfilerViewModule, typeof(ITbObjectVisualizer))]
    [PartCreationPolicy(CreationPolicy.NonShared)]
    public class TestProfilerViewModule : ITbObjectVisualizer
    {
        public Task DisplayObject(ITbObjectId objectId, ITbUiState uiState, ITbClientServiceLocator clientServices)
        {
            clientServices.DialogService.ShowMessage("Example view module for:" + objectId.Caption, "Profiler view");
            return Task.CompletedTask;
        }
    }
}
